.native-form-field.mat-form-field {
  border-radius: 20px;

  .mat-form-field-wrapper {
    padding-bottom: 0;
  }

  .mat-form-field-infix {
    border-top: 0;
  }

  .mat-form-field-label {
    margin-left: 5px;
  }

  .mat-input-underline {
    display: none;
  }

  input,
  .mat-select-value {
    padding-left: 5px;
  }
}

input.native-form-control {
  width: 180px; //inline with mat-form-field
  border-radius: 20px;
  padding: 0 8px;
  line-height: 33px;
  outline-width: 0;
}

.input-xs {
  width: 120px !important
}

.mat-form-cell {
  padding-right: 5px; //otherwise the right end mat-form-field border was getting hidden in the grid
}

.form-group-horizontal > * + *{
  margin-left: 10px;
  margin-right: 10px;
}
textarea, .mat-form-field-infix > textarea.mat-input-element {
  resize: none;
}
fieldset{
  border: 1px solid silver;
  margin: 5px 2px;
}
legend{
  color: $app-primary-mat-color
}
.form-row{
  padding-top:10px;
}

// .native-form-field.ng-dirty.mat-input-invalid{
//   border-color: $app-warn-mat-color !important;
//   color: $app-warn-mat-color !important;//#f44336;
// }